## org.metaabm.act
Interface ASchedule

All Superinterfaces:
  AAct, ARoot, ASelect, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  AScheduleImpl

    public interface ASchedule

extends ARoot, SNamed

Method Summary
`int` `getInterval()` Returns the value of the 'Interval' attribute.
`int` `getPick()` Returns the value of the 'Pick' attribute.
`int` `getPriority()` Returns the value of the 'Priority' attribute.
`int` `getStart()` Returns the value of the 'Start' attribute.
`void` `setInterval(int value)` Sets the value of the '`Interval`' attribute.
`void` `setPick(int value)` Sets the value of the '`Pick`' attribute.
`void` `setPriority(int value)` Sets the value of the '`Priority`' attribute.
`void` `setStart(int value)` Sets the value of the '`Start`' attribute.

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getStart

    int getStart()

  Returns the value of the 'Start' attribute. The first iteration in which to execute the activity.

  Returns:
    the value of the 'Start' attribute.
  See Also:
    `setStart(int)`, `MetaABMActPackage.getASchedule_Start()`

### setStart

    void setStart(int value)

  Sets the value of the '`Start`' attribute.

  Parameters:
    `value` - the new value of the 'Start' attribute.
  See Also:
    `getStart()`

### getInterval

    int getInterval()

  Returns the value of the 'Interval' attribute. Specifies the interval. If > 0, then the method is scheduled to repeat at the specified interval. Otherwise, method is scheduled for one time execution. Default is 0 meaning by default the method will only execute once.

  Returns:
    the value of the 'Interval' attribute.
  See Also:
    `setInterval(int)`, `MetaABMActPackage.getASchedule_Interval()`

### setInterval

    void setInterval(int value)

  Sets the value of the '`Interval`' attribute.

  Parameters:
    `value` - the new value of the 'Interval' attribute.
  See Also:
    `getInterval()`

### getPriority

    int getPriority()

  Returns the value of the 'Priority' attribute. Priority w/r to other actions scheduled for the same tick. Default is [currently unspecified].

  Returns:
    the value of the 'Priority' attribute.
  See Also:
    `setPriority(int)`, `MetaABMActPackage.getASchedule_Priority()`

### setPriority

    void setPriority(int value)

  Sets the value of the '`Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Priority' attribute.
  See Also:
    `getPriority()`

### getPick

    int getPick()

  Returns the value of the 'Pick' attribute. How many ticks the action can execute in the background while the tick count progresses. Default is no duration [-1] meaning the method must finish execution before the next scheduled action can execute.

  Returns:
    the value of the 'Pick' attribute.
  See Also:
    `setPick(int)`, `MetaABMActPackage.getASchedule_Pick()`

### setPick

    void setPick(int value)

  Sets the value of the '`Pick`' attribute.

  Parameters:
    `value` - the new value of the 'Pick' attribute.
  See Also:
    `getPick()`